# frozen_string_literal: true

module Edaemon::Helper::Process
  class << self
    # :nocov:
    def list
      `ps ax`.split("\n")
    end
    # :nocov:

    def pids
      list.map { |row| row.scan(/\A {0,}([0-9]{1,})/) }
          .flatten
          .compact
          .uniq
          .map(&:to_i)
          .sort
    end
  end
end
